version: '3.8'

services:
  laravel:
    container_name: nazzela_laravel
    build:
      context: .
      dockerfile: Dockerfile
    ports:
      - "8181:8000"   # Map port 8181 on host to port 8000 in container
      - "5173:5173"
    volumes:
      - .:/var/www/html
    depends_on:
      - mysql
      - redis

  mysql:
    image: mysql:8
    container_name: nazzela_mysql
    ports:
      - "3306:3306"
    environment:
      MYSQL_ROOT_PASSWORD: root
      MYSQL_DATABASE: nazzela
    volumes:
      - mysql_data:/var/lib/mysql

  adminer:
    image: adminer
    container_name: nazzela_adminer
    ports:
      - "8080:8080"

  sql-server:
    image: mcr.microsoft.com/mssql/server:2019-latest
    container_name: nazzela_sql_server
    environment:
      ACCEPT_EULA: "Y"
      SA_PASSWORD: "P@ssw0rd"
    ports:
      - "1433:1433"

  redis:
    image: redis:alpine
    container_name: nazzela_redis
    ports:
      - "6379:6379"

volumes:
  mysql_data:
